using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionSignatories")]
    public class TransactionSignatory
    {
        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("Email")]
        public string Email { get; set; }

        [Column("InvitationCode")]
        public string InvitationCode { get; set; }

        [Column("Status")]
        public string Status { get; set; }

        [ForeignKey("TransactionID")]
        public Transaction Transaction { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        [Column("TransactionSignatory_UID")]
        public Guid? TransactionSignatory_UID { get; set; }

        [Column("TransactionSignatoryID")]
        public int TransactionSignatoryID { get; set; }

        [Column("Type")]
        public string Type { get; set; }

        [ForeignKey("UserID")]
        public User? User { get; set; }

        [Column("UserID")]
        public int? UserID { get; set; }
    }
}